{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Nama User | KuisKuy</title>
{% endblock meta %}

{% block content %}
{%load static%}
  <div>
    <h1>KuisKuy!</h1>
    <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>

    <form method='post' action=''>
      {% csrf_token %}
      {% for q  in questions%}
      <div class="form-group">
          <label for="question">{{q.question}}</label>
      </div>
      <div class="form-check">
          <div class="form-check">
              <input disabled class="form-check-input" type="radio" name="{{q.question}}" id="gridRadios1" value="option1" checked>
              <label disabled class="form-check-label" for="gridRadios1">
                  {{q.op1}}
              </label>
          </div>
      </div>
      <div class="form-check">
          <div class="form-check">
              <input disabled class="form-check-input" type="radio" name="{{q.question}}" id="gridRadios1" value="option1" checked>
              <label disabled class="form-check-label" for="gridRadios1">
                  {{q.op2}}
              </label>
          </div>
      </div>
      <div class="form-check">
          <div class="form-check">
              <input disabled class="form-check-input" type="radio" name="{{q.question}}" id="gridRadios1" value="option1" checked>
              <label disabled class="form-check-label" for="gridRadios1">
                  {{q.op3}}
              </label>
          </div>
      </div>
      <div class="form-check">
          <div class="form-check">
              <input disabled class="form-check-input" type="radio" name="{{q.question}}" id="gridRadios1" value="option1" checked>
              <label disabled class="form-check-label" for="gridRadios1">
                  {{q.op4}}
              </label>
          </div>
          <br>
      </div>
      {{q.pembahasan}}
      <br>
      { % endfor % }
      <button type="submit" class="btn btn-primary">Submit</button>
    </form>

    {% block script %}
    <script type="text/javascript" src="{% static 'js/material.js %}" ></script>
    <script type="text/javascript" src="{% static 'js/jquery.min.js %}" ></script>

    <script type="text/javascript">

    $(document).on('submit','#new_quiz_answer',function(e){
      e.preventDefault();

      $.ajax({
        type:'POST',
        url:'/home/kuis',
        data:{
          answer:$('#answer').val()
        },
        success:function(){
          alert("Telah selesai mengerjakan Quiz!")
        }
      });
    })
    </script>
    {% endblock script %}
  </div>
{% endblock content %}

